package tcp;

import java.io.*;
import java.net.*;

public class TCPServer {
	public ServerSocket listenSocket = null;
	public InetSocketAddress address = null;
	
	public TCPServer(InetSocketAddress address) {
		this.address = address;
	}
	
	public void start() {
		try {
			this.listenSocket = new ServerSocket();
			this.listenSocket.bind(address);
			
			System.out.println("Server Started!");
			
			while(true) {
				Socket serviceSocket = listenSocket.accept();
				ObjectInputStream in = new ObjectInputStream(serviceSocket.getInputStream());
				ObjectOutputStream out = new ObjectOutputStream(serviceSocket.getOutputStream());
				out.flush();
				
				String message = (String) in.readObject();
				System.out.println("Server Received:" + message);
				out.writeObject(message);
				
			}
			
		}
		catch (Exception e) {
			e.printStackTrace();
		}
	}
	
	public static void main(String args[]) {
		int port = 8888;
		InetSocketAddress serverAddress = new InetSocketAddress(port);
		
		TCPServer server = new TCPServer(serverAddress);
		server.start();
	}
}
